Bug 796620 - Not compatible with JDK7
Summary: Not compatible with JDK7
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: easymock2
Version: 17
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-23 10:44 UTC by jiri vanek
Modified: 2012-03-02 01:22 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-03-02 01:22:55 UTC


Attachments (Terms of Use)
git-formated patch (25.67 KB, patch)
2012-02-23 10:46 UTC, jiri vanek
no flags Details | Diff

Description jiri vanek 2012-02-23 10:44:41 UTC
After mass rebuild for default JDK in F17 - OpenJDK7 easymock2 was not compiled due to name clash in EasyMock.java class.

Comment 1 jiri vanek 2012-02-23 10:46:17 UTC
Created attachment 565256 [details]
git-formated patch

this patch is renaming affected methods. The new names are compatible with easymock3. Test file was also fixed accordingly (from easymock3) and so was spec file.

Comment 2 Fedora Update System 2012-02-23 11:34:00 UTC
easymock2-2.5.2-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/easymock2-2.5.2-6.fc17

Comment 3 Fedora Update System 2012-02-23 22:30:12 UTC
Package easymock2-2.5.2-6.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing easymock2-2.5.2-6.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2293/easymock2-2.5.2-6.fc17
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2012-03-02 01:22:55 UTC
easymock2-2.5.2-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.